Banks
Get Bank
Retrieves detailed information about a specific bank provider using its Monime-assigned provider ID.
GET
/
v1
/
banks
/
{providerId}
Get Bank
curl --request GET \
--url https://api.monime.io/v1/banks/{providerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.monime.io/v1/banks/{providerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.monime.io/v1/banks/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messages": [
"<unknown>"
],
"result": {
"providerId": "slb004",
"name": "Guarantee Trust Bank",
"country": "SL",
"status": {
"active": true
},
"featureSet": {
"payout": {
"canPayTo": true,
"schemes": [
"<string>"
],
"metadata": {}
},
"payment": {
"canPayFrom": true,
"schemes": [
"<string>"
],
"metadata": {}
},
"kycVerification": {
"canVerifyAccount": true,
"metadata": {}
}
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>
Headers
Specifies which version of the Monime API will handle this request.
Available options:
caph.2025-08-23, caph.2025-06-20 Path Parameters
Unique provider ID for the bank as assigned by Monime.
Response
200 - application/json
OK
Was this page helpful?
⌘I
Get Bank
